--with-logincap enable BSD login class support
--with-bsdauth enable BSD authentication support
--with-systrace[=DIR] enable systrace(4) support
+ --with-project enable Solaris project support
--without-lecture don't print lecture for first-time sudoer
--with-logging log via syslog, file, or both
--with-logfac syslog facility to log with (default is "local2")
esac
fi;
+
+# Check whether --with-project or --without-project was given.
+if test "${with_project+set}" = set; then
+ withval="$with_project"
+ case $with_project in
+ yes|no) ;;
+ no) ;;
+ *) { { echo "$as_me:$LINENO: error: \"--with-project does not take an argument.\"" >&5
+echo "$as_me: error: \"--with-project does not take an argument.\"" >&2;}
+ { (exit 1); exit 1; }; }
+ ;;
+esac
+fi;
+
echo "$as_me:$LINENO: checking whether to lecture users the first time they run sudo" >&5
echo $ECHO_N "checking whether to lecture users the first time they run sudo... $ECHO_C" >&6
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 7069 "configure"
+#line 7084 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<_LT_EOF
-#line 7167 "configure"
+#line 7182 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
;;
*-*-irix6*)
# Find out which ABI we are using.
- $ECHO '#line 7316 "configure"' > conftest.$ac_ext
+ $ECHO '#line 7331 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7967: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7982: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7971: \$? = $ac_status" >&5
+ echo "$as_me:7986: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8242: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8257: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:8246: \$? = $ac_status" >&5
+ echo "$as_me:8261: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8339: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8354: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8343: \$? = $ac_status" >&5
+ echo "$as_me:8358: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
-e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:8393: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:8408: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:8397: \$? = $ac_status" >&5
+ echo "$as_me:8412: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
fi
+fi
+if test ${with_project-'no'} != "no"; then
+ if test "${ac_cv_header_project_h+set}" = set; then
+ echo "$as_me:$LINENO: checking for project.h" >&5
+echo $ECHO_N "checking for project.h... $ECHO_C" >&6
+if test "${ac_cv_header_project_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_project_h" >&5
+echo "${ECHO_T}$ac_cv_header_project_h" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking project.h usability" >&5
+echo $ECHO_N "checking project.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <project.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking project.h presence" >&5
+echo $ECHO_N "checking project.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <project.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: project.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: project.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: project.h: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: project.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: project.h: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: project.h: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: project.h: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: project.h: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: project.h: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: project.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: project.h: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## ------------------------------- ##
+## Report this to the sudo lists. ##
+## ------------------------------- ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for project.h" >&5
+echo $ECHO_N "checking for project.h... $ECHO_C" >&6
+if test "${ac_cv_header_project_h+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_cv_header_project_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_project_h" >&5
+echo "${ECHO_T}$ac_cv_header_project_h" >&6
+
+fi
+if test $ac_cv_header_project_h = yes; then
+ cat >>confdefs.h <<\_ACEOF
+#define HAVE_PROJECT_H 1
+_ACEOF
+
+ SUDO_LIBS="${SUDO_LIBS} -lproject"
+else
+ -
+fi
+
+
fi
echo "$as_me:$LINENO: checking for mode_t" >&5
echo $ECHO_N "checking for mode_t... $ECHO_C" >&6
+
+